AviatoAviato
DeveloperAPI ReferencePluginsId

/api/plugins/{id}

GET
/api/plugins/{id}

Path Parameters

id*string

Resource ID

Response Body

application/json

application/json

curl -X GET "https://example.com/api/plugins/string"
{
  "plugin": {
    "id": "string",
    "name": "string",
    "capabilities": [
      "filesystem"
    ],
    "mediaTypes": [
      "string"
    ],
    "version": "string",
    "description": "string",
    "author": "string",
    "license": "string",
    "repository": "string",
    "homepage": "string",
    "enabled": true,
    "state": "stopped",
    "errorMessage": "string",
    "type": "builtin",
    "restartAttempts": 0,
    "lastCrashAt": "string",
    "configuration": [
      {
        "key": "string",
        "label": "string",
        "input": "text",
        "required": true,
        "default": null,
        "options": [
          null
        ],
        "min": 0,
        "max": 0,
        "description": "string"
      }
    ],
    "capabilityConfig": {
      "library": {
        "paths": [
          {
            "type": "string",
            "rules": [
              "string"
            ],
            "extensions": [
              "string"
            ]
          }
        ]
      },
      "filesystem": {
        "supportsWatch": true,
        "supportsLocalFileAccess": true,
        "supportsWrite": true
      }
    }
  }
}
{
  "error": "string"
}